%define	subname	avkys
%define	major	8
%define	libname %mklibname %{subname} %{major}
%define	develname %mklibname %{subname} -d


Name:		webcamoid
Version:	8.7.1
Release:	%mkrel 3
Summary:	A webcam funny video tool
Group:		Video/Utilities
License:	GPLv3+
URL:		https://github.com/hipersayanX/webcamoid
Source0:	https://github.com/webcamoid/webcamoid/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qttools5
Requires:		qtdeclarative5

%description
Webcamoid is a full featured webcam capture application.
Features:
    * Take pictures and record videos with the webcam.
    * Manages multiple webcams.
    * Written in C++/Qt.
    * Custom controls for each webcam.
    * Add funny effects to the webcam.
    * +60 effects available.
    * Effects with live previews.
    * Translated to many languages.
    * Use custom network and local files as capture devices.
    * Capture from desktop.

%package -n	%{libname}
Summary:	The webcamoid library
Group:		System/Libraries
Provides:	%{subname} = %{version}-%{release}

%description -n %{libname}
This package contains the library for webcamoid.
 
%package -n     %{develname}
Summary:	Headers for developing programs that will use avkys lib
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{subname}-devel = %{version}-%{release}
 
%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use avkys library as webcamoid.
 

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS TODO README.md
%{_bindir}/webcamoid
%{_datadir}/applications/webcamoid.desktop
%{_datadir}/icons/hicolor/*/apps/webcamoid.*
%{_mandir}/man1/webcamoid.1*
%{_libdir}/avkys
%{_libdir}/qt5/qml/AkQml
%{_datadir}/licenses/webcamoid/COPYING
 
%files -n %{libname}
%{_libdir}/lib%{subname}.so.%{major}{,.*}
%{_datadir}/licenses/avkys/COPYING
 
%files -n %{develname}
%{_libdir}/*.so


%changelog
* Wed Sep 21 2022 papoteur <papoteur> 8.7.1-3.mga8
+ Revision: 1891129
- add qtdeclarative5 requirement ((mga#29166)

* Tue Feb 18 2020 umeabot <umeabot> 8.7.1-2.mga8
+ Revision: 1539656
- Mageia 8 Mass Rebuild

* Wed Dec 11 2019 zezinho <zezinho> 8.7.1-1.mga8
+ Revision: 1465959
- imported package webcamoid

